public class Main {
    // This program implements Monte Carlo Pi Estimation
    // See https://www.101computing.net/estimating-pi-using-the-monte-carlo-method/
    // for an interactive example of how this works in Python
    public static void main(String[] args) {
        int r, num;

        r = 10000; num = 2000;
        assert(r > 0 && num > 0);

        boolean hits[] = new boolean[num];

        int idx = 0;
        while (idx < num) {
            hits[idx] = (Math.pow(Math.random() * r, 2) + Math.pow(Math.random() * r, 2) <= r*r);
            idx++;
        }

        int x = 0;
        int y = 0;
        for (boolean d : hits) {
            if (d) {
                x = x + 1;
            } else {
                x = x;
            }
        }
        System.out.println("result = " +
                ((x >= 0)
                        ? (((double) x / num) * 4)
                        : "sorry dude, my cat ate my assignment"));
    }
}